Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Alle Blockelemente auf Layer 0

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Alle Blockelemente auf Layer 0 (4541 mal gelesen)
joeycool
Mitglied
Ingenieur TGA


Sehen Sie sich das Profil von joeycool an!   Senden Sie eine Private Message an joeycool  Schreiben Sie einen Gästebucheintrag für joeycool

Beiträge: 1447
Registriert: 01.06.2004

MEP/ACAD 2008,..., 2013, 2014, 2015, 2016 und 2017
REVIT MEP 2017
WIN7 64 bit
i7 3,4 GHZ, SSD Platte, 16 GB Ram
NVDIA Quadro K 2200

erstellt am: 07. Feb. 2012 09:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin,

die Suche zu der Frage brachte mir keine Treffer, denke aber, es gibt sowas; wahrscheinlich nicht an Bord, aber als Programmschnipsel oder auch als Tool:

Alle Blockelemente aller Blöcke einer Zeichnung auf layer 0 zu setzen???

Wenn ja, wäre super...

Joeycool

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 07. Feb. 2012 09:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joeycool 10 Unities + Antwort hilfreich

Such mal bei www.cadwiesel.de  nuke.lsp oder so .. proggen sollte aber auch kein  Problem darstellen

------------------
      - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 07. Feb. 2012 10:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joeycool 10 Unities + Antwort hilfreich

... da gab es doch mal ein Block_kovert von Cadmium  
Das hilft Dir vielleicht weiter.

Gruß
Thomas

.uups, nee, das setzte ja "bloß" Farbe und Linientyp der Elemente auf "Vonlayer".  Sorry.

Thomas

[Diese Nachricht wurde von spider_dd am 07. Feb. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joeycool
Mitglied
Ingenieur TGA


Sehen Sie sich das Profil von joeycool an!   Senden Sie eine Private Message an joeycool  Schreiben Sie einen Gästebucheintrag für joeycool

Beiträge: 1447
Registriert: 01.06.2004

MEP/ACAD 2008,..., 2013, 2014, 2015, 2016 und 2017
REVIT MEP 2017
WIN7 64 bit
i7 3,4 GHZ, SSD Platte, 16 GB Ram
NVDIA Quadro K 2200

erstellt am: 07. Feb. 2012 10:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke erstmal für die Tips,
auf den ersten Blick scheint nuke das ja zu machen...

aber es setzt ja gleichzeitig auch alle Farben usw. auf von block, das würde ich eigentlich lieber extra machen (über setbylayer), muss mal schauen, ob ich das mit meiner lispstümperei deaktiviert bekomme...

Joeycool

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 07. Feb. 2012 10:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joeycool 10 Unities + Antwort hilfreich

Suche auf cad.de (oder direkt im Forum54 und Forum145) nach "NUKE" , da hat
man einige Treffer die sich auch mit der Anpassung beschäftigen.

------------------
CAD.de System-Angaben  -  CAD on demand  -  User:FAQ(Acad)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joeycool
Mitglied
Ingenieur TGA


Sehen Sie sich das Profil von joeycool an!   Senden Sie eine Private Message an joeycool  Schreiben Sie einen Gästebucheintrag für joeycool

Beiträge: 1447
Registriert: 01.06.2004

MEP/ACAD 2008,..., 2013, 2014, 2015, 2016 und 2017
REVIT MEP 2017
WIN7 64 bit
i7 3,4 GHZ, SSD Platte, 16 GB Ram
NVDIA Quadro K 2200

erstellt am: 07. Feb. 2012 11:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Stimmt, die cad.de Suche ist verdammt ergiebig,
aber könntest Du mir noch zur Eingrenzung Forum 54 und 145 decodieren, oder muss ich durchzählen ? 

Joeycool

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7935
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 07. Feb. 2012 11:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joeycool 10 Unities + Antwort hilfreich

54 = RuA
145 = Lisp

guckst Du URL-Zeile im browser 

Oder nutze google mit Einschränkung site:cad.de + sinnige Suchbegriffe, damit Du die CoCreate-Lisp-Abteilung nicht mit reinbekommst.

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 07. Feb. 2012 11:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joeycool 10 Unities + Antwort hilfreich

ach , was solls :

(defun C:BLK-LAY0( / BLOCK ITEM)
  (vl-load-com)
  (vlax-for BLOCK(vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))
    (if (=(vla-get-ISLAYOUT BLOCK):vlax-false)
      (vlax-for ITEM BLOCK
        (vl-catch-all-apply
          'vla-put-layer (list ITEM "0")
        )
      ) 
    ) 
  )
  (vla-regen(vla-get-activedocument(vlax-get-acad-object))acAllViewports)
)

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 bis ACA 2013
Arcibem
System:
Windows
Internet-Startseite:
http://www.archi.de

erstellt am: 07. Feb. 2012 11:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joeycool 10 Unities + Antwort hilfreich

vielleicht auch noch Xrefs ausschließen:
...
(= (vla-get-isxref BLOCK) :vlax-false)
...

Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joeycool
Mitglied
Ingenieur TGA


Sehen Sie sich das Profil von joeycool an!   Senden Sie eine Private Message an joeycool  Schreiben Sie einen Gästebucheintrag für joeycool

Beiträge: 1447
Registriert: 01.06.2004

MEP/ACAD 2008,..., 2013, 2014, 2015, 2016 und 2017
REVIT MEP 2017
WIN7 64 bit
i7 3,4 GHZ, SSD Platte, 16 GB Ram
NVDIA Quadro K 2200

erstellt am: 07. Feb. 2012 12:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

wow,

so viel können manchmal ein paar Zeilen Code helfen...

is ja irre, was mit ein paar Schnipseln so geht..

Tausend Dank sagt
Joeycool

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

SimonGB
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von SimonGB an!   Senden Sie eine Private Message an SimonGB  Schreiben Sie einen Gästebucheintrag für SimonGB

Beiträge: 37
Registriert: 26.11.2009

WIN 7
Intel Xeon Quad Core W3565 @3,2GHz; 24GB RAM
NVIDIA Quadro 2000 1 GB DDR5
Creo elements/direct modeling
Creo elements/direct drafting
Acad 2012
Acad Mechanical 2012
Inventor Fusion 2012

erstellt am: 22. Dez. 2017 08:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joeycool 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CADmium:
ach , was solls :

(defun C:BLK-LAY0( / BLOCK ITEM)
  (vl-load-com)
  (vlax-for BLOCK(vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))
    (if (=(vla-get-ISLAYOUT BLOCK):vlax-false)
      (vlax-for ITEM BLOCK
        (vl-catch-all-apply
           'vla-put-layer (list ITEM "0")
        )
      ) 
    ) 
  )
  (vla-regen(vla-get-activedocument(vlax-get-acad-object))acAllViewports)
)


Hallo,

könnte mir jemand auf die Schnelle in diesen Code eine Auswahl einbauen. Ich kann mir selber leider (noch) nicht helfen.

Vielen Dank schonmal.

Grüße
Simon

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz